Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class ExtrudedSurface

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.graph.impl.ContextDependentBase
              de.grogra.math.ProductSurface
                  de.grogra.math.ExtrudedSurface

All Implemented Interfaces:
  ContextDependent, BSplineSurface, KnotVector, VertexGrid, VertexSet, Manageable, Shareable

    public class ExtrudedSurface

extends ProductSurface

Nested Class Summary
`static class` | `ExtrudedSurface.Type`

Field Summary
`static ExtrudedSurface.Type` | `$TYPE`
`static SCOType.Field` | `useScale$FIELD`

Fields inherited from class de.grogra.math.ProductSurface
`profile$FIELD, trajectory$FIELD`

Constructor Summary
`ExtrudedSurface()`
`ExtrudedSurface(BSplineCurve profile, BSplineCurve trajectory)`

Method Summary
`ManageableType` | `getManageableType()`
`int` | `getVertex(float[] out, int index, GraphState gs)`
`void` | `setUseScale(boolean value)`
`boolean` | `usesScale()`

Methods inherited from class de.grogra.math.ProductSurface
`dependsOnContext, getDimension, getKnot, getProfile, getTrajectory, getUDegree, getUSize, getVDegree, getVertexIndex, getVSize, isRational, setProfile, setTrajectory, writeStamp`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final ExtrudedSurface.Type $TYPE

### useScale$FIELD

    public static final SCOType.Field useScale$FIELD

Constructor Detail

### ExtrudedSurface

    public ExtrudedSurface()

### ExtrudedSurface

    public ExtrudedSurface(BSplineCurve profile,
                           BSplineCurve trajectory)

Method Detail

### getManageableType

    public ManageableType getManageableType()

### getVertex

    public int getVertex(float[] out,
                         int index,
                         GraphState gs)

### setUseScale

    public void setUseScale(boolean value)

### usesScale

    public boolean usesScale()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD